## rust-gio 0.5.1

=== Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gio-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
rust-gio (0.5.1-2) unstable; urgency=medium

  * Package gio 0.5.1 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 26 Dec 2018 09:50:43 +0100

rust-gio (0.5.1-1) unstable; urgency=medium

  * Package gio 0.5.1 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Fri, 07 Dec 2018 19:29:34 -0800

=== debian/control ===
Source: rust-gio
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-fragile-0.3+default-dev <!nocheck>,
 librust-gio-sys-0.7+default-dev <!nocheck>,
 librust-glib-0.6+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gio]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gio
Homepage: http://gtk-rs.org/

Package: librust-gio-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-fragile-0.3+default-dev,
 librust-gio-sys-0.7+default-dev,
 librust-glib-0.6+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev
Suggests:
 librust-gio+dox-dev (= ${binary:Version}),
 librust-gio+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio+v2-34-dev (= ${binary:Version}),
 librust-gio+v2-36-dev (= ${binary:Version}),
 librust-gio+v2-38-dev (= ${binary:Version}),
 librust-gio+v2-40-dev (= ${binary:Version}),
 librust-gio+v2-42-dev (= ${binary:Version}),
 librust-gio+v2-44-dev (= ${binary:Version}),
 librust-gio+v2-46-dev (= ${binary:Version}),
 librust-gio+v2-48-dev (= ${binary:Version}),
 librust-gio+v2-50-dev (= ${binary:Version}),
 librust-gio+v2-52-dev (= ${binary:Version}),
 librust-gio+v2-54-dev (= ${binary:Version}),
 librust-gio+v2-56-dev (= ${binary:Version})
Provides:
 librust-gio+default-dev (= ${binary:Version}),
 librust-gio-0-dev (= ${binary:Version}),
 librust-gio-0+default-dev (= ${binary:Version}),
 librust-gio-0.5-dev (= ${binary:Version}),
 librust-gio-0.5+default-dev (= ${binary:Version}),
 librust-gio-0.5.1-dev (= ${binary:Version}),
 librust-gio-0.5.1+default-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - Rust source code
 This package contains the source for the Rust gio crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-gio+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio-sys-0.7+dox-dev,
 librust-glib-0.6+dox-dev
Provides:
 librust-gio-0+dox-dev (= ${binary:Version}),
 librust-gio-0.5+dox-dev (= ${binary:Version}),
 librust-gio-0.5.1+dox-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "dox"
 This metapackage enables feature dox for the Rust gio crate, by pulling in any
 additional dependencies needed by that feature.

Package: librust-gio+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gio-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5.1+embed-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "embed-lgpl-docs"
 This metapackage enables feature embed-lgpl-docs for the Rust gio crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gio+gtk-rs-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gio-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5.1+gtk-rs-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "gtk-rs-lgpl-docs"
 This metapackage enables feature gtk-rs-lgpl-docs for the Rust gio crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gio+purge-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gio-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.5.1+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "purge-lgpl-docs"
 This metapackage enables feature purge-lgpl-docs for the Rust gio crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gio+v2-34-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-34-dev,
 librust-glib-0.6+v2-34-dev
Provides:
 librust-gio-0+v2-34-dev (= ${binary:Version}),
 librust-gio-0.5+v2-34-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-34-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_34"
 This metapackage enables feature v2_34 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-36-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-34-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-36-dev,
 librust-glib-0.6+v2-36-dev
Provides:
 librust-gio-0+v2-36-dev (= ${binary:Version}),
 librust-gio-0.5+v2-36-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-36-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_36"
 This metapackage enables feature v2_36 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-38-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-36-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-38-dev,
 librust-glib-0.6+v2-38-dev
Provides:
 librust-gio-0+v2-38-dev (= ${binary:Version}),
 librust-gio-0.5+v2-38-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-38-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_38"
 This metapackage enables feature v2_38 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-40-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-38-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-40-dev,
 librust-glib-0.6+v2-40-dev
Provides:
 librust-gio-0+v2-40-dev (= ${binary:Version}),
 librust-gio-0.5+v2-40-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-40-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_40"
 This metapackage enables feature v2_40 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-42-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-40-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-42-dev
Provides:
 librust-gio-0+v2-42-dev (= ${binary:Version}),
 librust-gio-0.5+v2-42-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-42-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_42"
 This metapackage enables feature v2_42 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-44-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-42-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-44-dev,
 librust-glib-0.6+v2-44-dev
Provides:
 librust-gio-0+v2-44-dev (= ${binary:Version}),
 librust-gio-0.5+v2-44-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-44-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_44"
 This metapackage enables feature v2_44 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-46-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-44-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-46-dev,
 librust-glib-0.6+v2-46-dev
Provides:
 librust-gio-0+v2-46-dev (= ${binary:Version}),
 librust-gio-0.5+v2-46-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-46-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_46"
 This metapackage enables feature v2_46 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-48-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-46-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-48-dev,
 librust-glib-0.6+v2-48-dev
Provides:
 librust-gio-0+v2-48-dev (= ${binary:Version}),
 librust-gio-0.5+v2-48-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-48-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_48"
 This metapackage enables feature v2_48 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-50-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-48-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-50-dev,
 librust-glib-0.6+v2-50-dev
Provides:
 librust-gio-0+v2-50-dev (= ${binary:Version}),
 librust-gio-0.5+v2-50-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-50-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_50"
 This metapackage enables feature v2_50 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-52-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-50-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-52-dev,
 librust-glib-0.6+v2-52-dev
Provides:
 librust-gio-0+v2-52-dev (= ${binary:Version}),
 librust-gio-0.5+v2-52-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-52-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_52"
 This metapackage enables feature v2_52 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-54-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-52-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-54-dev,
 librust-glib-0.6+v2-54-dev
Provides:
 librust-gio-0+v2-54-dev (= ${binary:Version}),
 librust-gio-0.5+v2-54-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-54-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_54"
 This metapackage enables feature v2_54 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-56-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-54-dev (= ${binary:Version}),
 librust-gio-sys-0.7+v2-56-dev
Provides:
 librust-gio-0+v2-56-dev (= ${binary:Version}),
 librust-gio-0.5+v2-56-dev (= ${binary:Version}),
 librust-gio-0.5.1+v2-56-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_56"
 This metapackage enables feature v2_56 for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

## rust-gio 0.7.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Run `gir` generating the bindings
 gir : src/auto/mod.rs
+	cargo fmt
+
+doc: $(GIR) $(GIR_FILES)
+	$(GIR) -m doc -c Gir.toml
 
 not_bound: $(GIR) $(GIR_FILES)
 	$(GIR) -m not_bound -c Gir.toml
@@ -11,6 +15,7 @@
 regen_check: $(GIR) $(GIR_FILES)
 	rm src/auto/*
 	$(GIR) -c Gir.toml
+	cargo fmt
 	git diff -R --exit-code
 
 src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)

=== debian/changelog ===
rust-gio (0.7.0-1) unstable; urgency=medium

  * Package gio 0.7.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Thu, 25 Jul 2019 21:16:06 -0700

=== debian/control ===
Source: rust-gio
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-fragile-0.3+default-dev <!nocheck>,
 librust-gio-sys-0.9+default-dev <!nocheck>,
 librust-glib-0.8+default-dev <!nocheck>,
 librust-glib-sys-0.9+default-dev <!nocheck>,
 librust-gobject-sys-0.9+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gio]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gio
Homepage: http://gtk-rs.org/

Package: librust-gio-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-fragile-0.3+default-dev,
 librust-gio-sys-0.9+default-dev,
 librust-glib-0.8+default-dev,
 librust-glib-sys-0.9+default-dev,
 librust-gobject-sys-0.9+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev
Suggests:
 librust-gio+dox-dev (= ${binary:Version}),
 librust-gio+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio+subclassing-dev (= ${binary:Version}),
 librust-gio+v2-44-dev (= ${binary:Version}),
 librust-gio+v2-46-dev (= ${binary:Version}),
 librust-gio+v2-48-dev (= ${binary:Version}),
 librust-gio+v2-50-dev (= ${binary:Version}),
 librust-gio+v2-52-dev (= ${binary:Version}),
 librust-gio+v2-54-dev (= ${binary:Version}),
 librust-gio+v2-56-dev (= ${binary:Version}),
 librust-gio+v2-58-dev (= ${binary:Version})
Provides:
 librust-gio+default-dev (= ${binary:Version}),
 librust-gio-0-dev (= ${binary:Version}),
 librust-gio-0+default-dev (= ${binary:Version}),
 librust-gio-0.7-dev (= ${binary:Version}),
 librust-gio-0.7+default-dev (= ${binary:Version}),
 librust-gio-0.7.0-dev (= ${binary:Version}),
 librust-gio-0.7.0+default-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - Rust source code
 This package contains the source for the Rust gio crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-gio+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio-sys-0.9+dox-dev,
 librust-glib-0.8+dox-dev
Provides:
 librust-gio-0+dox-dev (= ${binary:Version}),
 librust-gio-0.7+dox-dev (= ${binary:Version}),
 librust-gio-0.7.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "dox"
 This metapackage enables feature "dox" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gio+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7.0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7.0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gio-0.7.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "embed-lgpl-docs" and 2 more
 This metapackage enables feature "embed-lgpl-docs" for the Rust gio crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "gtk-rs-lgpl-docs", and "purge-
 lgpl-docs" features.

Package: librust-gio+subclassing-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-glib-0.8+subclassing-dev
Provides:
 librust-gio-0+subclassing-dev (= ${binary:Version}),
 librust-gio-0.7+subclassing-dev (= ${binary:Version}),
 librust-gio-0.7.0+subclassing-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "subclassing"
 This metapackage enables feature "subclassing" for the Rust gio crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gio+v2-44-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-44-dev,
 librust-glib-0.8+v2-44-dev
Provides:
 librust-gio-0+v2-44-dev (= ${binary:Version}),
 librust-gio-0.7+v2-44-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-44-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_44"
 This metapackage enables feature "v2_44" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-46-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-44-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-46-dev,
 librust-glib-0.8+v2-46-dev
Provides:
 librust-gio-0+v2-46-dev (= ${binary:Version}),
 librust-gio-0.7+v2-46-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-46-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_46"
 This metapackage enables feature "v2_46" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-48-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-46-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-48-dev,
 librust-glib-0.8+v2-48-dev
Provides:
 librust-gio-0+v2-48-dev (= ${binary:Version}),
 librust-gio-0.7+v2-48-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-48-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_48"
 This metapackage enables feature "v2_48" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-50-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-48-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-50-dev,
 librust-glib-0.8+v2-50-dev
Provides:
 librust-gio-0+v2-50-dev (= ${binary:Version}),
 librust-gio-0.7+v2-50-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-50-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_50"
 This metapackage enables feature "v2_50" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-52-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-50-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-52-dev,
 librust-glib-0.8+v2-52-dev
Provides:
 librust-gio-0+v2-52-dev (= ${binary:Version}),
 librust-gio-0.7+v2-52-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-52-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_52"
 This metapackage enables feature "v2_52" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-54-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-52-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-54-dev,
 librust-glib-0.8+v2-54-dev
Provides:
 librust-gio-0+v2-54-dev (= ${binary:Version}),
 librust-gio-0.7+v2-54-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-54-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_54"
 This metapackage enables feature "v2_54" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-56-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-54-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-56-dev,
 librust-glib-0.8+v2-56-dev
Provides:
 librust-gio-0+v2-56-dev (= ${binary:Version}),
 librust-gio-0.7+v2-56-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-56-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_56"
 This metapackage enables feature "v2_56" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-gio+v2-58-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-dev (= ${binary:Version}),
 librust-gio+v2-56-dev (= ${binary:Version}),
 librust-gio-sys-0.9+v2-58-dev,
 librust-glib-0.8+v2-58-dev
Provides:
 librust-gio-0+v2-58-dev (= ${binary:Version}),
 librust-gio-0.7+v2-58-dev (= ${binary:Version}),
 librust-gio-0.7.0+v2-58-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - feature "v2_58"
 This metapackage enables feature "v2_58" for the Rust gio crate, by pulling in
 any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features embed-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+embed-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features subclassing
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+subclassing-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_44
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-44-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_46
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-46-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_48
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-48-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_50
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-50-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_52
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-52-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_54
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-54-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_56
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-56-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.7.0 --all-targets --features v2_58
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gio+v2-58-dev

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gio-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gio .*/crates/gio/@ANY_VERSION@/download

## rust-gio 0.14.8

=== debian/changelog ===
rust-gio (0.14.8-1) unstable; urgency=medium

  * Package gio 0.14.8 from crates.io using debcargo 2.5.0 (Closes: 1002154)

  [ Henry-Nicolas Tourneur ]
  * Team upload.
  * Package gio 0.14.8 from crates.io using debcargo 2.4.4
  * d/patches: removed patch remove-futures-preview-feature.diff

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Dec 2021 20:34:32 +0000

=== debian/control ===
Source: rust-gio
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-futures-channel-0.3+default-dev <!nocheck>,
 librust-futures-core-0.3-dev <!nocheck>,
 librust-futures-io-0.3+default-dev <!nocheck>,
 librust-gio-sys-0.14+default-dev <!nocheck>,
 librust-glib-0.14+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gio]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gio
Homepage: https://gtk-rs.org/
Rules-Requires-Root: no

Package: librust-gio-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-core-0.3-dev,
 librust-futures-io-0.3+default-dev,
 librust-gio-sys-0.14+default-dev,
 librust-gio-sys-0.14+dox-dev,
 librust-gio-sys-0.14+v2-50-dev,
 librust-gio-sys-0.14+v2-52-dev,
 librust-gio-sys-0.14+v2-54-dev,
 librust-gio-sys-0.14+v2-56-dev,
 librust-gio-sys-0.14+v2-58-dev,
 librust-gio-sys-0.14+v2-60-dev,
 librust-gio-sys-0.14+v2-62-dev,
 librust-gio-sys-0.14+v2-64-dev,
 librust-gio-sys-0.14+v2-66-dev,
 librust-glib-0.14+default-dev,
 librust-glib-0.14+dox-dev,
 librust-glib-0.14+v2-50-dev,
 librust-glib-0.14+v2-52-dev,
 librust-glib-0.14+v2-54-dev,
 librust-glib-0.14+v2-56-dev,
 librust-glib-0.14+v2-58-dev,
 librust-glib-0.14+v2-60-dev,
 librust-glib-0.14+v2-62-dev,
 librust-glib-0.14+v2-64-dev,
 librust-glib-0.14+v2-66-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-thiserror-1+default-dev
Provides:
 librust-gio+default-dev (= ${binary:Version}),
 librust-gio+dox-dev (= ${binary:Version}),
 librust-gio+v2-50-dev (= ${binary:Version}),
 librust-gio+v2-52-dev (= ${binary:Version}),
 librust-gio+v2-54-dev (= ${binary:Version}),
 librust-gio+v2-56-dev (= ${binary:Version}),
 librust-gio+v2-58-dev (= ${binary:Version}),
 librust-gio+v2-60-dev (= ${binary:Version}),
 librust-gio+v2-62-dev (= ${binary:Version}),
 librust-gio+v2-64-dev (= ${binary:Version}),
 librust-gio+v2-66-dev (= ${binary:Version}),
 librust-gio-0-dev (= ${binary:Version}),
 librust-gio-0+default-dev (= ${binary:Version}),
 librust-gio-0+dox-dev (= ${binary:Version}),
 librust-gio-0+v2-50-dev (= ${binary:Version}),
 librust-gio-0+v2-52-dev (= ${binary:Version}),
 librust-gio-0+v2-54-dev (= ${binary:Version}),
 librust-gio-0+v2-56-dev (= ${binary:Version}),
 librust-gio-0+v2-58-dev (= ${binary:Version}),
 librust-gio-0+v2-60-dev (= ${binary:Version}),
 librust-gio-0+v2-62-dev (= ${binary:Version}),
 librust-gio-0+v2-64-dev (= ${binary:Version}),
 librust-gio-0+v2-66-dev (= ${binary:Version}),
 librust-gio-0.14-dev (= ${binary:Version}),
 librust-gio-0.14+default-dev (= ${binary:Version}),
 librust-gio-0.14+dox-dev (= ${binary:Version}),
 librust-gio-0.14+v2-50-dev (= ${binary:Version}),
 librust-gio-0.14+v2-52-dev (= ${binary:Version}),
 librust-gio-0.14+v2-54-dev (= ${binary:Version}),
 librust-gio-0.14+v2-56-dev (= ${binary:Version}),
 librust-gio-0.14+v2-58-dev (= ${binary:Version}),
 librust-gio-0.14+v2-60-dev (= ${binary:Version}),
 librust-gio-0.14+v2-62-dev (= ${binary:Version}),
 librust-gio-0.14+v2-64-dev (= ${binary:Version}),
 librust-gio-0.14+v2-66-dev (= ${binary:Version}),
 librust-gio-0.14.8-dev (= ${binary:Version}),
 librust-gio-0.14.8+default-dev (= ${binary:Version}),
 librust-gio-0.14.8+dox-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-50-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-52-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-54-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-56-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-58-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-60-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-62-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-64-dev (= ${binary:Version}),
 librust-gio-0.14.8+v2-66-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - Rust source code
 This package contains the source for the Rust gio crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --all-features
Features: test-name=rust-gio:@
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets 
Features: test-name=librust-gio-dev:default
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features dox
Features: test-name=librust-gio-dev:dox
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features v2_50
Features: test-name=librust-gio-dev:v2_50
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features v2_52
Features: test-name=librust-gio-dev:v2_52
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features v2_54
Features: test-name=librust-gio-dev:v2_54
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features v2_56
Features: test-name=librust-gio-dev:v2_56
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.14.8 --all-targets --no-default-features --features v2_58
Features: test-name=librust-gio-dev:v2_58
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.5+default-dev, @

## rust-gio 0.16.7

=== debian/changelog ===
rust-gio (0.16.7-2) unstable; urgency=medium

  * Package gio 0.16.7 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:54:17 +0200

rust-gio (0.16.7-1) experimental; urgency=medium

  * Package gio 0.16.7 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 14:55:15 +0200

=== debian/control ===
Source: rust-gio
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-futures-channel-0.3+default-dev <!nocheck>,
 librust-futures-core-0.3-dev <!nocheck>,
 librust-futures-io-0.3+default-dev <!nocheck>,
 librust-futures-util-0.3-dev <!nocheck>,
 librust-gio-sys-0.16+default-dev <!nocheck>,
 librust-glib-0.16+default-dev (>= 0.16.2-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-pin-project-lite-0.2+default-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>,
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gio]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gio
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gio
Rules-Requires-Root: no

Package: librust-gio-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-core-0.3-dev,
 librust-futures-io-0.3+default-dev,
 librust-futures-util-0.3-dev,
 librust-gio-sys-0.16+default-dev,
 librust-gio-sys-0.16+dox-dev,
 librust-gio-sys-0.16+v2-58-dev,
 librust-gio-sys-0.16+v2-60-dev,
 librust-gio-sys-0.16+v2-62-dev,
 librust-gio-sys-0.16+v2-64-dev,
 librust-gio-sys-0.16+v2-66-dev,
 librust-gio-sys-0.16+v2-68-dev,
 librust-gio-sys-0.16+v2-70-dev,
 librust-gio-sys-0.16+v2-72-dev,
 librust-gio-sys-0.16+v2-74-dev,
 librust-glib-0.16+default-dev (>= 0.16.2-~~),
 librust-glib-0.16+dox-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-58-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-60-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-62-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-64-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-66-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-68-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-70-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-72-dev (>= 0.16.2-~~),
 librust-glib-0.16+v2-74-dev (>= 0.16.2-~~),
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-smallvec-1+default-dev,
 librust-thiserror-1+default-dev
Provides:
 librust-gio+default-dev (= ${binary:Version}),
 librust-gio+dox-dev (= ${binary:Version}),
 librust-gio+v2-58-dev (= ${binary:Version}),
 librust-gio+v2-60-dev (= ${binary:Version}),
 librust-gio+v2-62-dev (= ${binary:Version}),
 librust-gio+v2-64-dev (= ${binary:Version}),
 librust-gio+v2-66-dev (= ${binary:Version}),
 librust-gio+v2-68-dev (= ${binary:Version}),
 librust-gio+v2-70-dev (= ${binary:Version}),
 librust-gio+v2-72-dev (= ${binary:Version}),
 librust-gio+v2-74-dev (= ${binary:Version}),
 librust-gio-0-dev (= ${binary:Version}),
 librust-gio-0+default-dev (= ${binary:Version}),
 librust-gio-0+dox-dev (= ${binary:Version}),
 librust-gio-0+v2-58-dev (= ${binary:Version}),
 librust-gio-0+v2-60-dev (= ${binary:Version}),
 librust-gio-0+v2-62-dev (= ${binary:Version}),
 librust-gio-0+v2-64-dev (= ${binary:Version}),
 librust-gio-0+v2-66-dev (= ${binary:Version}),
 librust-gio-0+v2-68-dev (= ${binary:Version}),
 librust-gio-0+v2-70-dev (= ${binary:Version}),
 librust-gio-0+v2-72-dev (= ${binary:Version}),
 librust-gio-0+v2-74-dev (= ${binary:Version}),
 librust-gio-0.16-dev (= ${binary:Version}),
 librust-gio-0.16+default-dev (= ${binary:Version}),
 librust-gio-0.16+dox-dev (= ${binary:Version}),
 librust-gio-0.16+v2-58-dev (= ${binary:Version}),
 librust-gio-0.16+v2-60-dev (= ${binary:Version}),
 librust-gio-0.16+v2-62-dev (= ${binary:Version}),
 librust-gio-0.16+v2-64-dev (= ${binary:Version}),
 librust-gio-0.16+v2-66-dev (= ${binary:Version}),
 librust-gio-0.16+v2-68-dev (= ${binary:Version}),
 librust-gio-0.16+v2-70-dev (= ${binary:Version}),
 librust-gio-0.16+v2-72-dev (= ${binary:Version}),
 librust-gio-0.16+v2-74-dev (= ${binary:Version}),
 librust-gio-0.16.7-dev (= ${binary:Version}),
 librust-gio-0.16.7+default-dev (= ${binary:Version}),
 librust-gio-0.16.7+dox-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-58-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-60-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-62-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-64-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-66-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-68-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-70-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-72-dev (= ${binary:Version}),
 librust-gio-0.16.7+v2-74-dev (= ${binary:Version})
Description: Rust bindings for the Gio library - Rust source code
 This package contains the source for the Rust gio crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --all-features
Features: test-name=rust-gio:@
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets
Features: test-name=librust-gio-dev:default
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features dox
Features: test-name=librust-gio-dev:dox
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features v2_58
Features: test-name=librust-gio-dev:v2_58
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features v2_60
Features: test-name=librust-gio-dev:v2_60
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features v2_62
Features: test-name=librust-gio-dev:v2_62
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features v2_64
Features: test-name=librust-gio-dev:v2_64
Depends: dh-cargo (>= 18), librust-futures-0.3+default-dev, librust-futures-util-0.3+default-dev, librust-futures-util-0.3+io-dev, librust-gir-format-check-0.1+default-dev, librust-serial-test-0.9+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gio 0.16.7 --all-targets --no-default-features --features v2_66
